
# Experiment 1 Epochs of training

# Subexperiment Number of inference steps J
# # Epoch 70
# python3 estimate_dti.py --configurationFile custom_configuration/engine_configuration.txt -inferenceModel custom_rim -inferenceSteps 12 -testingDataPath /media/emanoel/HD/Emanoel_Documents/EMC/DTI_datasets/NeuroImage/simulation_experiment_5/rician/fa_0.8 -saveResultsPath /media/emanoel/HD/Emanoel_Documents/EMC/DTI_datasets/NeuroImage/dtiRIM_experiments/experiment_1_training_length/experiment_J/j_12/dti_rim_ep_70 -loadCheckpointPath ./trained_models/rim/NeuroRIM/correct_loss/custom_rim_epoch_70_dtiRIM_initNetConv_2_noInitNet_evenLargerRIM_lowerNoise10-50.pth
# python3 estimate_dti.py --configurationFile custom_configuration/engine_configuration.txt -inferenceModel custom_rim -inferenceSteps 16 -testingDataPath /media/emanoel/HD/Emanoel_Documents/EMC/DTI_datasets/NeuroImage/simulation_experiment_5/rician/fa_0.8 -saveResultsPath /media/emanoel/HD/Emanoel_Documents/EMC/DTI_datasets/NeuroImage/dtiRIM_experiments/experiment_1_training_length/experiment_J/j_16/dti_rim_ep_70 -loadCheckpointPath ./trained_models/rim/NeuroRIM/correct_loss/custom_rim_epoch_70_dtiRIM_initNetConv_2_noInitNet_evenLargerRIM_lowerNoise10-50.pth
# python3 estimate_dti.py --configurationFile custom_configuration/engine_configuration.txt -inferenceModel custom_rim -inferenceSteps 20 -testingDataPath /media/emanoel/HD/Emanoel_Documents/EMC/DTI_datasets/NeuroImage/simulation_experiment_5/rician/fa_0.8 -saveResultsPath /media/emanoel/HD/Emanoel_Documents/EMC/DTI_datasets/NeuroImage/dtiRIM_experiments/experiment_1_training_length/experiment_J/j_20/dti_rim_ep_70 -loadCheckpointPath ./trained_models/rim/NeuroRIM/correct_loss/custom_rim_epoch_70_dtiRIM_initNetConv_2_noInitNet_evenLargerRIM_lowerNoise10-50.pth
# python3 estimate_dti.py --configurationFile custom_configuration/engine_configuration.txt -inferenceModel custom_rim -inferenceSteps 24 -testingDataPath /media/emanoel/HD/Emanoel_Documents/EMC/DTI_datasets/NeuroImage/simulation_experiment_5/rician/fa_0.8 -saveResultsPath /media/emanoel/HD/Emanoel_Documents/EMC/DTI_datasets/NeuroImage/dtiRIM_experiments/experiment_1_training_length/experiment_J/j_24/dti_rim_ep_70 -loadCheckpointPath ./trained_models/rim/NeuroRIM/correct_loss/custom_rim_epoch_70_dtiRIM_initNetConv_2_noInitNet_evenLargerRIM_lowerNoise10-50.pth

# # Epoch 100
# python3 estimate_dti.py --configurationFile custom_configuration/engine_configuration.txt -inferenceModel custom_rim -inferenceSteps 12 -testingDataPath /media/emanoel/HD/Emanoel_Documents/EMC/DTI_datasets/NeuroImage/simulation_experiment_5/rician/fa_0.8 -saveResultsPath /media/emanoel/HD/Emanoel_Documents/EMC/DTI_datasets/NeuroImage/dtiRIM_experiments/experiment_1_training_length/experiment_J/j_12/dti_rim_ep_100 -loadCheckpointPath ./trained_models/rim/NeuroRIM/correct_loss/custom_rim_epoch_100_dtiRIM_initNetConv_2_noInitNet_evenLargerRIM_lowerNoise10-50.pth
# python3 estimate_dti.py --configurationFile custom_configuration/engine_configuration.txt -inferenceModel custom_rim -inferenceSteps 16 -testingDataPath /media/emanoel/HD/Emanoel_Documents/EMC/DTI_datasets/NeuroImage/simulation_experiment_5/rician/fa_0.8 -saveResultsPath /media/emanoel/HD/Emanoel_Documents/EMC/DTI_datasets/NeuroImage/dtiRIM_experiments/experiment_1_training_length/experiment_J/j_16/dti_rim_ep_100 -loadCheckpointPath ./trained_models/rim/NeuroRIM/correct_loss/custom_rim_epoch_100_dtiRIM_initNetConv_2_noInitNet_evenLargerRIM_lowerNoise10-50.pth
# python3 estimate_dti.py --configurationFile custom_configuration/engine_configuration.txt -inferenceModel custom_rim -inferenceSteps 20 -testingDataPath /media/emanoel/HD/Emanoel_Documents/EMC/DTI_datasets/NeuroImage/simulation_experiment_5/rician/fa_0.8 -saveResultsPath /media/emanoel/HD/Emanoel_Documents/EMC/DTI_datasets/NeuroImage/dtiRIM_experiments/experiment_1_training_length/experiment_J/j_20/dti_rim_ep_100 -loadCheckpointPath ./trained_models/rim/NeuroRIM/correct_loss/custom_rim_epoch_100_dtiRIM_initNetConv_2_noInitNet_evenLargerRIM_lowerNoise10-50.pth
# python3 estimate_dti.py --configurationFile custom_configuration/engine_configuration.txt -inferenceModel custom_rim -inferenceSteps 24 -testingDataPath /media/emanoel/HD/Emanoel_Documents/EMC/DTI_datasets/NeuroImage/simulation_experiment_5/rician/fa_0.8 -saveResultsPath /media/emanoel/HD/Emanoel_Documents/EMC/DTI_datasets/NeuroImage/dtiRIM_experiments/experiment_1_training_length/experiment_J/j_24/dti_rim_ep_100 -loadCheckpointPath ./trained_models/rim/NeuroRIM/correct_loss/custom_rim_epoch_100_dtiRIM_initNetConv_2_noInitNet_evenLargerRIM_lowerNoise10-50.pth

# # Epoch 470
# python3 estimate_dti.py --configurationFile custom_configuration/engine_configuration.txt -inferenceModel custom_rim -inferenceSteps 12 -testingDataPath /media/emanoel/HD/Emanoel_Documents/EMC/DTI_datasets/NeuroImage/simulation_experiment_5/rician/fa_0.8 -saveResultsPath /media/emanoel/HD/Emanoel_Documents/EMC/DTI_datasets/NeuroImage/dtiRIM_experiments/experiment_1_training_length/experiment_J/j_12/dti_rim_ep_470 -loadCheckpointPath ./trained_models/rim/NeuroRIM/correct_loss/custom_rim_epoch_470_dtiRIM_initNetConv_2_noInitNet_evenLargerRIM_lowerNoise10-50.pth
# python3 estimate_dti.py --configurationFile custom_configuration/engine_configuration.txt -inferenceModel custom_rim -inferenceSteps 16 -testingDataPath /media/emanoel/HD/Emanoel_Documents/EMC/DTI_datasets/NeuroImage/simulation_experiment_5/rician/fa_0.8 -saveResultsPath /media/emanoel/HD/Emanoel_Documents/EMC/DTI_datasets/NeuroImage/dtiRIM_experiments/experiment_1_training_length/experiment_J/j_16/dti_rim_ep_470 -loadCheckpointPath ./trained_models/rim/NeuroRIM/correct_loss/custom_rim_epoch_470_dtiRIM_initNetConv_2_noInitNet_evenLargerRIM_lowerNoise10-50.pth
# python3 estimate_dti.py --configurationFile custom_configuration/engine_configuration.txt -inferenceModel custom_rim -inferenceSteps 20 -testingDataPath /media/emanoel/HD/Emanoel_Documents/EMC/DTI_datasets/NeuroImage/simulation_experiment_5/rician/fa_0.8 -saveResultsPath /media/emanoel/HD/Emanoel_Documents/EMC/DTI_datasets/NeuroImage/dtiRIM_experiments/experiment_1_training_length/experiment_J/j_20/dti_rim_ep_470 -loadCheckpointPath ./trained_models/rim/NeuroRIM/correct_loss/custom_rim_epoch_470_dtiRIM_initNetConv_2_noInitNet_evenLargerRIM_lowerNoise10-50.pth
# python3 estimate_dti.py --configurationFile custom_configuration/engine_configuration.txt -inferenceModel custom_rim -inferenceSteps 24 -testingDataPath /media/emanoel/HD/Emanoel_Documents/EMC/DTI_datasets/NeuroImage/simulation_experiment_5/rician/fa_0.8 -saveResultsPath /media/emanoel/HD/Emanoel_Documents/EMC/DTI_datasets/NeuroImage/dtiRIM_experiments/experiment_1_training_length/experiment_J/j_24/dti_rim_ep_470 -loadCheckpointPath ./trained_models/rim/NeuroRIM/correct_loss/custom_rim_epoch_470_dtiRIM_initNetConv_2_noInitNet_evenLargerRIM_lowerNoise10-50.pth

# # Epoch 970
# python3 estimate_dti.py --configurationFile custom_configuration/engine_configuration.txt -inferenceModel custom_rim -inferenceSteps 12 -testingDataPath /media/emanoel/HD/Emanoel_Documents/EMC/DTI_datasets/NeuroImage/simulation_experiment_5/rician/fa_0.8 -saveResultsPath /media/emanoel/HD/Emanoel_Documents/EMC/DTI_datasets/NeuroImage/dtiRIM_experiments/experiment_1_training_length/experiment_J/j_12/dti_rim_ep_970 -loadCheckpointPath ./trained_models/rim/NeuroRIM/correct_loss/custom_rim_epoch_970_dtiRIM_initNetConv_2_noInitNet_evenLargerRIM_lowerNoise10-50.pth
# python3 estimate_dti.py --configurationFile custom_configuration/engine_configuration.txt -inferenceModel custom_rim -inferenceSteps 16 -testingDataPath /media/emanoel/HD/Emanoel_Documents/EMC/DTI_datasets/NeuroImage/simulation_experiment_5/rician/fa_0.8 -saveResultsPath /media/emanoel/HD/Emanoel_Documents/EMC/DTI_datasets/NeuroImage/dtiRIM_experiments/experiment_1_training_length/experiment_J/j_16/dti_rim_ep_970 -loadCheckpointPath ./trained_models/rim/NeuroRIM/correct_loss/custom_rim_epoch_970_dtiRIM_initNetConv_2_noInitNet_evenLargerRIM_lowerNoise10-50.pth
# python3 estimate_dti.py --configurationFile custom_configuration/engine_configuration.txt -inferenceModel custom_rim -inferenceSteps 20 -testingDataPath /media/emanoel/HD/Emanoel_Documents/EMC/DTI_datasets/NeuroImage/simulation_experiment_5/rician/fa_0.8 -saveResultsPath /media/emanoel/HD/Emanoel_Documents/EMC/DTI_datasets/NeuroImage/dtiRIM_experiments/experiment_1_training_length/experiment_J/j_20/dti_rim_ep_970 -loadCheckpointPath ./trained_models/rim/NeuroRIM/correct_loss/custom_rim_epoch_970_dtiRIM_initNetConv_2_noInitNet_evenLargerRIM_lowerNoise10-50.pth
# python3 estimate_dti.py --configurationFile custom_configuration/engine_configuration.txt -inferenceModel custom_rim -inferenceSteps 24 -testingDataPath /media/emanoel/HD/Emanoel_Documents/EMC/DTI_datasets/NeuroImage/simulation_experiment_5/rician/fa_0.8 -saveResultsPath /media/emanoel/HD/Emanoel_Documents/EMC/DTI_datasets/NeuroImage/dtiRIM_experiments/experiment_1_training_length/experiment_J/j_24/dti_rim_ep_970 -loadCheckpointPath ./trained_models/rim/NeuroRIM/correct_loss/custom_rim_epoch_970_dtiRIM_initNetConv_2_noInitNet_evenLargerRIM_lowerNoise10-50.pth



# Subexperiment sigma
# Epoch 70
# python3 estimate_dti.py --configurationFile custom_configuration/engine_configuration.txt -inferenceModel custom_rim -inferenceSteps 16 -testingDataPath /media/emanoel/HD/Emanoel_Documents/EMC/DTI_datasets/NeuroImage/simulation_experiment_7/rician/noise_level -saveResultsPath /media/emanoel/HD/Emanoel_Documents/EMC/DTI_datasets/NeuroImage/dtiRIM_experiments/experiment_1_training_length/experiment_sigma/sigma_5/dti_rim_ep_70 -estimatedSNR 5 -loadCheckpointPath ./trained_models/rim/NeuroRIM/correct_loss/custom_rim_epoch_70_dtiRIM_initNetConv_2_noInitNet_evenLargerRIM_lowerNoise10-50.pth
# python3 estimate_dti.py --configurationFile custom_configuration/engine_configuration.txt -inferenceModel custom_rim -inferenceSteps 16 -testingDataPath /media/emanoel/HD/Emanoel_Documents/EMC/DTI_datasets/NeuroImage/simulation_experiment_7/rician/noise_level -saveResultsPath /media/emanoel/HD/Emanoel_Documents/EMC/DTI_datasets/NeuroImage/dtiRIM_experiments/experiment_1_training_length/experiment_sigma/sigma_10/dti_rim_ep_70 -estimatedSNR 10 -loadCheckpointPath ./trained_models/rim/NeuroRIM/correct_loss/custom_rim_epoch_70_dtiRIM_initNetConv_2_noInitNet_evenLargerRIM_lowerNoise10-50.pth
# python3 estimate_dti.py --configurationFile custom_configuration/engine_configuration.txt -inferenceModel custom_rim -inferenceSteps 16 -testingDataPath /media/emanoel/HD/Emanoel_Documents/EMC/DTI_datasets/NeuroImage/simulation_experiment_7/rician/noise_level -saveResultsPath /media/emanoel/HD/Emanoel_Documents/EMC/DTI_datasets/NeuroImage/dtiRIM_experiments/experiment_1_training_length/experiment_sigma/sigma_15/dti_rim_ep_70 -estimatedSNR 15 -loadCheckpointPath ./trained_models/rim/NeuroRIM/correct_loss/custom_rim_epoch_70_dtiRIM_initNetConv_2_noInitNet_evenLargerRIM_lowerNoise10-50.pth
# python3 estimate_dti.py --configurationFile custom_configuration/engine_configuration.txt -inferenceModel custom_rim -inferenceSteps 16 -testingDataPath /media/emanoel/HD/Emanoel_Documents/EMC/DTI_datasets/NeuroImage/simulation_experiment_7/rician/noise_level -saveResultsPath /media/emanoel/HD/Emanoel_Documents/EMC/DTI_datasets/NeuroImage/dtiRIM_experiments/experiment_1_training_length/experiment_sigma/sigma_20/dti_rim_ep_70 -estimatedSNR 20 -loadCheckpointPath ./trained_models/rim/NeuroRIM/correct_loss/custom_rim_epoch_70_dtiRIM_initNetConv_2_noInitNet_evenLargerRIM_lowerNoise10-50.pth
# python3 estimate_dti.py --configurationFile custom_configuration/engine_configuration.txt -inferenceModel custom_rim -inferenceSteps 16 -testingDataPath /media/emanoel/HD/Emanoel_Documents/EMC/DTI_datasets/NeuroImage/simulation_experiment_7/rician/noise_level -saveResultsPath /media/emanoel/HD/Emanoel_Documents/EMC/DTI_datasets/NeuroImage/dtiRIM_experiments/experiment_1_training_length/experiment_sigma/sigma_25/dti_rim_ep_70 -estimatedSNR 25 -loadCheckpointPath ./trained_models/rim/NeuroRIM/correct_loss/custom_rim_epoch_70_dtiRIM_initNetConv_2_noInitNet_evenLargerRIM_lowerNoise10-50.pth
# python3 estimate_dti.py --configurationFile custom_configuration/engine_configuration.txt -inferenceModel custom_rim -inferenceSteps 16 -testingDataPath /media/emanoel/HD/Emanoel_Documents/EMC/DTI_datasets/NeuroImage/simulation_experiment_7/rician/noise_level -saveResultsPath /media/emanoel/HD/Emanoel_Documents/EMC/DTI_datasets/NeuroImage/dtiRIM_experiments/experiment_1_training_length/experiment_sigma/sigma_30/dti_rim_ep_70 -estimatedSNR 30 -loadCheckpointPath ./trained_models/rim/NeuroRIM/correct_loss/custom_rim_epoch_70_dtiRIM_initNetConv_2_noInitNet_evenLargerRIM_lowerNoise10-50.pth
# python3 estimate_dti.py --configurationFile custom_configuration/engine_configuration.txt -inferenceModel custom_rim -inferenceSteps 16 -testingDataPath /media/emanoel/HD/Emanoel_Documents/EMC/DTI_datasets/NeuroImage/simulation_experiment_7/rician/noise_level -saveResultsPath /media/emanoel/HD/Emanoel_Documents/EMC/DTI_datasets/NeuroImage/dtiRIM_experiments/experiment_1_training_length/experiment_sigma/sigma_35/dti_rim_ep_70 -estimatedSNR 35 -loadCheckpointPath ./trained_models/rim/NeuroRIM/correct_loss/custom_rim_epoch_70_dtiRIM_initNetConv_2_noInitNet_evenLargerRIM_lowerNoise10-50.pth

# # # Epoch 100
# python3 estimate_dti.py --configurationFile custom_configuration/engine_configuration.txt -inferenceModel custom_rim -inferenceSteps 16 -testingDataPath /media/emanoel/HD/Emanoel_Documents/EMC/DTI_datasets/NeuroImage/simulation_experiment_7/rician/noise_level -saveResultsPath /media/emanoel/HD/Emanoel_Documents/EMC/DTI_datasets/NeuroImage/dtiRIM_experiments/experiment_1_training_length/experiment_sigma/sigma_5/dti_rim_ep_100 -estimatedSNR 5 -loadCheckpointPath ./trained_models/rim/NeuroRIM/correct_loss/custom_rim_epoch_100_dtiRIM_initNetConv_2_noInitNet_evenLargerRIM_lowerNoise10-50.pth
# python3 estimate_dti.py --configurationFile custom_configuration/engine_configuration.txt -inferenceModel custom_rim -inferenceSteps 16 -testingDataPath /media/emanoel/HD/Emanoel_Documents/EMC/DTI_datasets/NeuroImage/simulation_experiment_7/rician/noise_level -saveResultsPath /media/emanoel/HD/Emanoel_Documents/EMC/DTI_datasets/NeuroImage/dtiRIM_experiments/experiment_1_training_length/experiment_sigma/sigma_10/dti_rim_ep_100 -estimatedSNR 10 -loadCheckpointPath ./trained_models/rim/NeuroRIM/correct_loss/custom_rim_epoch_100_dtiRIM_initNetConv_2_noInitNet_evenLargerRIM_lowerNoise10-50.pth
# python3 estimate_dti.py --configurationFile custom_configuration/engine_configuration.txt -inferenceModel custom_rim -inferenceSteps 16 -testingDataPath /media/emanoel/HD/Emanoel_Documents/EMC/DTI_datasets/NeuroImage/simulation_experiment_7/rician/noise_level -saveResultsPath /media/emanoel/HD/Emanoel_Documents/EMC/DTI_datasets/NeuroImage/dtiRIM_experiments/experiment_1_training_length/experiment_sigma/sigma_15/dti_rim_ep_100 -estimatedSNR 15 -loadCheckpointPath ./trained_models/rim/NeuroRIM/correct_loss/custom_rim_epoch_100_dtiRIM_initNetConv_2_noInitNet_evenLargerRIM_lowerNoise10-50.pth
# python3 estimate_dti.py --configurationFile custom_configuration/engine_configuration.txt -inferenceModel custom_rim -inferenceSteps 16 -testingDataPath /media/emanoel/HD/Emanoel_Documents/EMC/DTI_datasets/NeuroImage/simulation_experiment_7/rician/noise_level -saveResultsPath /media/emanoel/HD/Emanoel_Documents/EMC/DTI_datasets/NeuroImage/dtiRIM_experiments/experiment_1_training_length/experiment_sigma/sigma_20/dti_rim_ep_100 -estimatedSNR 20 -loadCheckpointPath ./trained_models/rim/NeuroRIM/correct_loss/custom_rim_epoch_100_dtiRIM_initNetConv_2_noInitNet_evenLargerRIM_lowerNoise10-50.pth
# python3 estimate_dti.py --configurationFile custom_configuration/engine_configuration.txt -inferenceModel custom_rim -inferenceSteps 16 -testingDataPath /media/emanoel/HD/Emanoel_Documents/EMC/DTI_datasets/NeuroImage/simulation_experiment_7/rician/noise_level -saveResultsPath /media/emanoel/HD/Emanoel_Documents/EMC/DTI_datasets/NeuroImage/dtiRIM_experiments/experiment_1_training_length/experiment_sigma/sigma_25/dti_rim_ep_100 -estimatedSNR 25 -loadCheckpointPath ./trained_models/rim/NeuroRIM/correct_loss/custom_rim_epoch_100_dtiRIM_initNetConv_2_noInitNet_evenLargerRIM_lowerNoise10-50.pth
# python3 estimate_dti.py --configurationFile custom_configuration/engine_configuration.txt -inferenceModel custom_rim -inferenceSteps 16 -testingDataPath /media/emanoel/HD/Emanoel_Documents/EMC/DTI_datasets/NeuroImage/simulation_experiment_7/rician/noise_level -saveResultsPath /media/emanoel/HD/Emanoel_Documents/EMC/DTI_datasets/NeuroImage/dtiRIM_experiments/experiment_1_training_length/experiment_sigma/sigma_30/dti_rim_ep_100 -estimatedSNR 30 -loadCheckpointPath ./trained_models/rim/NeuroRIM/correct_loss/custom_rim_epoch_100_dtiRIM_initNetConv_2_noInitNet_evenLargerRIM_lowerNoise10-50.pth
# python3 estimate_dti.py --configurationFile custom_configuration/engine_configuration.txt -inferenceModel custom_rim -inferenceSteps 16 -testingDataPath /media/emanoel/HD/Emanoel_Documents/EMC/DTI_datasets/NeuroImage/simulation_experiment_7/rician/noise_level -saveResultsPath /media/emanoel/HD/Emanoel_Documents/EMC/DTI_datasets/NeuroImage/dtiRIM_experiments/experiment_1_training_length/experiment_sigma/sigma_35/dti_rim_ep_100 -estimatedSNR 35 -loadCheckpointPath ./trained_models/rim/NeuroRIM/correct_loss/custom_rim_epoch_100_dtiRIM_initNetConv_2_noInitNet_evenLargerRIM_lowerNoise10-50.pth

# # # Epoch 470
# python3 estimate_dti.py --configurationFile custom_configuration/engine_configuration.txt -inferenceModel custom_rim -inferenceSteps 16 -testingDataPath /media/emanoel/HD/Emanoel_Documents/EMC/DTI_datasets/NeuroImage/simulation_experiment_7/rician/noise_level -saveResultsPath /media/emanoel/HD/Emanoel_Documents/EMC/DTI_datasets/NeuroImage/dtiRIM_experiments/experiment_1_training_length/experiment_sigma/sigma_5/dti_rim_ep_470 -estimatedSNR 5 -loadCheckpointPath ./trained_models/rim/NeuroRIM/correct_loss/custom_rim_epoch_470_dtiRIM_initNetConv_2_noInitNet_evenLargerRIM_lowerNoise10-50.pth
# python3 estimate_dti.py --configurationFile custom_configuration/engine_configuration.txt -inferenceModel custom_rim -inferenceSteps 16 -testingDataPath /media/emanoel/HD/Emanoel_Documents/EMC/DTI_datasets/NeuroImage/simulation_experiment_7/rician/noise_level -saveResultsPath /media/emanoel/HD/Emanoel_Documents/EMC/DTI_datasets/NeuroImage/dtiRIM_experiments/experiment_1_training_length/experiment_sigma/sigma_10/dti_rim_ep_470 -estimatedSNR 10 -loadCheckpointPath ./trained_models/rim/NeuroRIM/correct_loss/custom_rim_epoch_470_dtiRIM_initNetConv_2_noInitNet_evenLargerRIM_lowerNoise10-50.pth
# python3 estimate_dti.py --configurationFile custom_configuration/engine_configuration.txt -inferenceModel custom_rim -inferenceSteps 16 -testingDataPath /media/emanoel/HD/Emanoel_Documents/EMC/DTI_datasets/NeuroImage/simulation_experiment_7/rician/noise_level -saveResultsPath /media/emanoel/HD/Emanoel_Documents/EMC/DTI_datasets/NeuroImage/dtiRIM_experiments/experiment_1_training_length/experiment_sigma/sigma_15/dti_rim_ep_470 -estimatedSNR 15 -loadCheckpointPath ./trained_models/rim/NeuroRIM/correct_loss/custom_rim_epoch_470_dtiRIM_initNetConv_2_noInitNet_evenLargerRIM_lowerNoise10-50.pth
# python3 estimate_dti.py --configurationFile custom_configuration/engine_configuration.txt -inferenceModel custom_rim -inferenceSteps 16 -testingDataPath /media/emanoel/HD/Emanoel_Documents/EMC/DTI_datasets/NeuroImage/simulation_experiment_7/rician/noise_level -saveResultsPath /media/emanoel/HD/Emanoel_Documents/EMC/DTI_datasets/NeuroImage/dtiRIM_experiments/experiment_1_training_length/experiment_sigma/sigma_20/dti_rim_ep_470 -estimatedSNR 20 -loadCheckpointPath ./trained_models/rim/NeuroRIM/correct_loss/custom_rim_epoch_470_dtiRIM_initNetConv_2_noInitNet_evenLargerRIM_lowerNoise10-50.pth
# python3 estimate_dti.py --configurationFile custom_configuration/engine_configuration.txt -inferenceModel custom_rim -inferenceSteps 16 -testingDataPath /media/emanoel/HD/Emanoel_Documents/EMC/DTI_datasets/NeuroImage/simulation_experiment_7/rician/noise_level -saveResultsPath /media/emanoel/HD/Emanoel_Documents/EMC/DTI_datasets/NeuroImage/dtiRIM_experiments/experiment_1_training_length/experiment_sigma/sigma_25/dti_rim_ep_470 -estimatedSNR 25 -loadCheckpointPath ./trained_models/rim/NeuroRIM/correct_loss/custom_rim_epoch_470_dtiRIM_initNetConv_2_noInitNet_evenLargerRIM_lowerNoise10-50.pth
# python3 estimate_dti.py --configurationFile custom_configuration/engine_configuration.txt -inferenceModel custom_rim -inferenceSteps 16 -testingDataPath /media/emanoel/HD/Emanoel_Documents/EMC/DTI_datasets/NeuroImage/simulation_experiment_7/rician/noise_level -saveResultsPath /media/emanoel/HD/Emanoel_Documents/EMC/DTI_datasets/NeuroImage/dtiRIM_experiments/experiment_1_training_length/experiment_sigma/sigma_30/dti_rim_ep_470 -estimatedSNR 30 -loadCheckpointPath ./trained_models/rim/NeuroRIM/correct_loss/custom_rim_epoch_470_dtiRIM_initNetConv_2_noInitNet_evenLargerRIM_lowerNoise10-50.pth
# python3 estimate_dti.py --configurationFile custom_configuration/engine_configuration.txt -inferenceModel custom_rim -inferenceSteps 16 -testingDataPath /media/emanoel/HD/Emanoel_Documents/EMC/DTI_datasets/NeuroImage/simulation_experiment_7/rician/noise_level -saveResultsPath /media/emanoel/HD/Emanoel_Documents/EMC/DTI_datasets/NeuroImage/dtiRIM_experiments/experiment_1_training_length/experiment_sigma/sigma_35/dti_rim_ep_470 -estimatedSNR 35 -loadCheckpointPath ./trained_models/rim/NeuroRIM/correct_loss/custom_rim_epoch_470_dtiRIM_initNetConv_2_noInitNet_evenLargerRIM_lowerNoise10-50.pth

# # Epoch 970
# python3 estimate_dti.py --configurationFile custom_configuration/engine_configuration.txt -inferenceModel custom_rim -inferenceSteps 16 -testingDataPath /media/emanoel/HD/Emanoel_Documents/EMC/DTI_datasets/NeuroImage/simulation_experiment_7/rician/noise_level -saveResultsPath /media/emanoel/HD/Emanoel_Documents/EMC/DTI_datasets/NeuroImage/dtiRIM_experiments/experiment_1_training_length/experiment_sigma/sigma_5/dti_rim_ep_970 -estimatedSNR 5 -loadCheckpointPath ./trained_models/rim/NeuroRIM/correct_loss/custom_rim_epoch_970_dtiRIM_initNetConv_2_noInitNet_evenLargerRIM_lowerNoise10-50.pth
# python3 estimate_dti.py --configurationFile custom_configuration/engine_configuration.txt -inferenceModel custom_rim -inferenceSteps 16 -testingDataPath /media/emanoel/HD/Emanoel_Documents/EMC/DTI_datasets/NeuroImage/simulation_experiment_7/rician/noise_level -saveResultsPath /media/emanoel/HD/Emanoel_Documents/EMC/DTI_datasets/NeuroImage/dtiRIM_experiments/experiment_1_training_length/experiment_sigma/sigma_10/dti_rim_ep_970 -estimatedSNR 10 -loadCheckpointPath ./trained_models/rim/NeuroRIM/correct_loss/custom_rim_epoch_970_dtiRIM_initNetConv_2_noInitNet_evenLargerRIM_lowerNoise10-50.pth
# python3 estimate_dti.py --configurationFile custom_configuration/engine_configuration.txt -inferenceModel custom_rim -inferenceSteps 16 -testingDataPath /media/emanoel/HD/Emanoel_Documents/EMC/DTI_datasets/NeuroImage/simulation_experiment_7/rician/noise_level -saveResultsPath /media/emanoel/HD/Emanoel_Documents/EMC/DTI_datasets/NeuroImage/dtiRIM_experiments/experiment_1_training_length/experiment_sigma/sigma_15/dti_rim_ep_970 -estimatedSNR 15 -loadCheckpointPath ./trained_models/rim/NeuroRIM/correct_loss/custom_rim_epoch_970_dtiRIM_initNetConv_2_noInitNet_evenLargerRIM_lowerNoise10-50.pth
# python3 estimate_dti.py --configurationFile custom_configuration/engine_configuration.txt -inferenceModel custom_rim -inferenceSteps 16 -testingDataPath /media/emanoel/HD/Emanoel_Documents/EMC/DTI_datasets/NeuroImage/simulation_experiment_7/rician/noise_level -saveResultsPath /media/emanoel/HD/Emanoel_Documents/EMC/DTI_datasets/NeuroImage/dtiRIM_experiments/experiment_1_training_length/experiment_sigma/sigma_20/dti_rim_ep_970 -estimatedSNR 20 -loadCheckpointPath ./trained_models/rim/NeuroRIM/correct_loss/custom_rim_epoch_970_dtiRIM_initNetConv_2_noInitNet_evenLargerRIM_lowerNoise10-50.pth
# python3 estimate_dti.py --configurationFile custom_configuration/engine_configuration.txt -inferenceModel custom_rim -inferenceSteps 16 -testingDataPath /media/emanoel/HD/Emanoel_Documents/EMC/DTI_datasets/NeuroImage/simulation_experiment_7/rician/noise_level -saveResultsPath /media/emanoel/HD/Emanoel_Documents/EMC/DTI_datasets/NeuroImage/dtiRIM_experiments/experiment_1_training_length/experiment_sigma/sigma_25/dti_rim_ep_970 -estimatedSNR 25 -loadCheckpointPath ./trained_models/rim/NeuroRIM/correct_loss/custom_rim_epoch_970_dtiRIM_initNetConv_2_noInitNet_evenLargerRIM_lowerNoise10-50.pth
# python3 estimate_dti.py --configurationFile custom_configuration/engine_configuration.txt -inferenceModel custom_rim -inferenceSteps 16 -testingDataPath /media/emanoel/HD/Emanoel_Documents/EMC/DTI_datasets/NeuroImage/simulation_experiment_7/rician/noise_level -saveResultsPath /media/emanoel/HD/Emanoel_Documents/EMC/DTI_datasets/NeuroImage/dtiRIM_experiments/experiment_1_training_length/experiment_sigma/sigma_30/dti_rim_ep_970 -estimatedSNR 30 -loadCheckpointPath ./trained_models/rim/NeuroRIM/correct_loss/custom_rim_epoch_970_dtiRIM_initNetConv_2_noInitNet_evenLargerRIM_lowerNoise10-50.pth
# python3 estimate_dti.py --configurationFile custom_configuration/engine_configuration.txt -inferenceModel custom_rim -inferenceSteps 16 -testingDataPath /media/emanoel/HD/Emanoel_Documents/EMC/DTI_datasets/NeuroImage/simulation_experiment_7/rician/noise_level -saveResultsPath /media/emanoel/HD/Emanoel_Documents/EMC/DTI_datasets/NeuroImage/dtiRIM_experiments/experiment_1_training_length/experiment_sigma/sigma_35/dti_rim_ep_970 -estimatedSNR 35 -loadCheckpointPath ./trained_models/rim/NeuroRIM/correct_loss/custom_rim_epoch_970_dtiRIM_initNetConv_2_noInitNet_evenLargerRIM_lowerNoise10-50.pth